/*
Licensed to the Apache Software Foundation (ASF) under one or more
contributor license agreements.  See the NOTICE file distributed with
this work for additional information regarding copyright ownership.
The ASF licenses this file to You under the Apache License, Version 2.0
(the "License"); you may not use this file except in compliance with
the License.  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

package code

import (
	"time"

	"github.com/apache/incubator-devlake/core/models/domainlayer"
)

type PullRequestComment struct {
	domainlayer.DomainEntity
	PullRequestId string `gorm:"index;varchar(255)"`
	Body          string
	AccountId     string `gorm:"type:varchar(255)"`
	CreatedDate   time.Time
	CommitSha     string `gorm:"type:varchar(255)"`
	Type          string `gorm:"type:varchar(255)"`
	ReviewId      string `gorm:"type:varchar(255)"`
	Status        string `gorm:"type:varchar(255)"`
}

func (PullRequestComment) TableName() string {
	return "pull_request_comments"
}

const (
	NORMAL_COMMENT = "NORMAL"
	DIFF_COMMENT   = "DIFF"
	REVIEW         = "REVIEW"
)
